List Registry Images
GET
/registry/images
const url = 'https://api.mengi.cloud/registry/images';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/registry/imagesList repositories (images) in the organization’s Harbor registry project.
Returns an empty list if the organization has no registry credentials.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Registry Images Registry Images Get
Array<object>
RegistryRepositoryResponseA repository in the user’s Harbor project.
object
name
required
Name
string
full_name
required
Full Name
string
artifact_count
required
Artifact Count
integer
pull_count
required
Pull Count
integer
Examplegenerated
[ { "name": "example", "full_name": "example", "artifact_count": 1, "pull_count": 1 }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}